﻿<div id="inv-dom">
    <div id="inv-inv" class="half-left app-zone vertical">
        <div class="inner">
            <h3 class="app-zone-title">Inventory</h3>
            <div id="inv-filter" data-bind="with: filter">
                <div class="inner">
                    <label>Name: </label><input type="text" class="app-textbox" data-bind="value: name, valueUpdate: 'input'" />
                </div>
            </div>
            <ul id="inv-list" class="list-simple font-micro" data-bind="foreach: inventoryFiltered">
                <li class="inline-block inv-item" data-bind="css: { broken: RepairPrice() }">
                    <ul class="inv-info app-center-list">
                        <li><img class="item-image" width="100" height="100" data-bind="attr: { src: '/File/GetItemImage' + '?id=' + Item().Loom0Id() }"/></li>
                        <li><b data-bind="text: Item().Name"></b></li>
                        <!-- ko template: { name: boe.utils.itemTemplates[Item().Type()], data: $data.Item() } --><!-- /ko -->
                    </ul>
                    <div class="inv-actions">
                        <div class=inner>
                            <div data-bind="if: !RepairPrice()">
                                <button class="app-button" data-bind="click: $parent.addToBag">Add to bag</button>
                            </div>
                            <div data-bind="if: RepairPrice()">
                                <div class="inv-repair">
                                    <div>
                                        <label>Price: </label><span data-bind="text: RepairPrice"></span>
                                    </div>
                                    <div>
                                        <button class="app-button" data-bind="click: $parent.repair, enable: RepairPrice() < $parent.gold()">Repair</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </li>
            </ul>
        </div>
    </div>
    <div id="inv-right" class="half-right">
        <div id="inv-sell" class="app-zone">
            <div class="inner">
                <h3 class="app-zone-title">Sell bag</h3>
                <ul id="inv-bag" class="list-simple" data-bind="foreach: bag">
                    <li class="inline-block">
                        <ul class="app-center-list font-small">
                            <li><img class="item-image" width="50" height="50" data-bind="attr: { src: '/File/GetItemImage' + '?id=' + Item().Loom0Id() }"/></li>
                            <li><span data-bind="text: Item().SellValue"></span></li>
                            <li><button data-bind="click: $parent.removeFromBag">remove</button></li>
                        </ul>
                    </li>
                </ul>
                <div><label>Sell for: </label><span data-bind="text: bagTotal"></span></div>
                <div><button class="app-button" data-bind="click: sell, enable: canSell">Sell</button></div>
            </div>
        </div>
    </div>
</div>